Bug 50500 - Teach webkit-patch how to search bugzilla
Summary: Teach webkit-patch how to search bugzilla
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: Other OS X 10.5
: P2 Normal
Assignee: Eric Seidel (no email)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-12-03 15:53 PST by Eric Seidel (no email)
Modified: 2010-12-13 12:36 PST (History)
5 users (show)

See Also:


Attachments
Patch (8.05 KB, patch)
2010-12-03 15:55 PST, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff
Patch (12.96 KB, patch)
2010-12-03 17:57 PST, Eric Seidel (no email)
no flags Details | Formatted Diff | Diff
Fix spelling error (12.95 KB, patch)
2010-12-09 23:31 PST, WebKit Commit Bot
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Seidel (no email) 2010-12-03 15:53:34 PST
Teach webkit-patch how to search bugzilla
Comment 1 Eric Seidel (no email) 2010-12-03 15:55:17 PST
Created attachment 75567 [details]
Patch
Comment 2 Eric Seidel (no email) 2010-12-03 15:56:05 PST
This is a work-in-progress patch.  Searching works, but is very slow.  Also the code has some layering issues which I'd like to resolve before geting a real review.  Just checkpointing my work in bugzilla.
Comment 3 Eric Seidel (no email) 2010-12-03 17:57:51 PST
Created attachment 75587 [details]
Patch
Comment 4 Eric Seidel (no email) 2010-12-03 18:02:59 PST
I'm not sure the "bug-search" command is very useful.  But this infrastructure will enable us to do other searching, like for bugs about flaky tests. :)
Comment 5 Adam Barth 2010-12-04 00:59:05 PST
Comment on attachment 75587 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=75587&action=review

> WebKitTools/Scripts/webkitpy/common/net/bugzilla/bugzilla.py:86
> +        if result_count_parts[0] == "Zarro":
> +            return 0

Zarro!

> WebKitTools/Scripts/webkitpy/common/net/bugzilla/bugzilla.py:106
> +        self._bugzilla.browser.select_form(predicate=self._is_xml_bugs_form)
> +        bugs_xml = self._bugzilla.browser.submit()

:(

Can we at least assert that self._bugzilla is in the proper state.

> WebKitTools/Scripts/webkitpy/tool/commands/bugsearch.py:33
> +    name = "bug-search"

search-bugs maybe?

> WebKitTools/Scripts/webkitpy/tool/commands/bugsearch.py:40
> +            print "%5s %s" % (bug.id(), bug.title())

What happens when we get six digit buts?

> WebKitTools/Scripts/webkitpy/tool/commands/bugsearch.py:42
> +            print "No bugs found matching '%s'" % search_string

zarro!
Comment 6 Eric Seidel (no email) 2010-12-08 10:47:08 PST
Comment on attachment 75587 [details]
Patch

Going to land as-is.  Happy to change the command title.  The assert seems redundant as that will definitely fail if it's the wrong form since most forms don't have an "XML" submit button and if they don't then mechanize will throw an exception (and the comment will be there to explain to people what went wrong).
Comment 7 Eric Seidel (no email) 2010-12-08 11:26:34 PST
Given that in 5 years of open source we've only gotten to 50k bugs, I think it's going to be at least another year before we're to 6 digit bugs. :)  We'll cross that bridge when we come to it.
Comment 8 WebKit Commit Bot 2010-12-08 12:44:13 PST
The commit-queue encountered the following flaky tests while processing attachment 75587 [details]:

inspector/styles-disable-then-enable.html
fast/workers/storage/use-same-database-in-page-and-workers.html

Please file bugs against the tests.  These tests were authored by dumi@chromium.org and pfeldman@chromium.org.  The commit-queue is continuing to process your patch.
Comment 9 WebKit Commit Bot 2010-12-08 14:51:09 PST
Comment on attachment 75587 [details]
Patch

Rejecting patch 75587 from commit-queue.

Failed to run "['./WebKitTools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=eseidel-cq-sl', 'build', '--no-clean', '--no-update', '--build-style=both']" exit_code: 2
Last 500 characters of output:
.compilers.gcc.4_2
	CompileC /Projects/CommitQueue/WebKitBuild/WebCore.build/Debug/WebCore.build/Objects-normal/x86_64/JavaScriptCallFrame.o /Projects/CommitQueue/WebCore/bindings/js/JavaScriptCallFrame.cpp normal x86_64 c++ com.apple.compilers.gcc.4_2
	CompileC /Projects/CommitQueue/WebKitBuild/WebCore.build/Debug/WebCore.build/Objects-normal/x86_64/InspectorStyleSheet.o /Projects/CommitQueue/WebCore/inspector/InspectorStyleSheet.cpp normal x86_64 c++ com.apple.compilers.gcc.4_2
(13 failures)


Full output: http://queues.webkit.org/results/6732133
Comment 10 Eric Seidel (no email) 2010-12-09 22:45:51 PST
Comment on attachment 75587 [details]
Patch

Clearing flags on attachment: 75587

Committed r73688: <http://trac.webkit.org/changeset/73688>
Comment 11 Eric Seidel (no email) 2010-12-09 22:45:58 PST
All reviewed patches have been landed.  Closing bug.
Comment 12 WebKit Commit Bot 2010-12-09 23:31:33 PST
Created attachment 76165 [details]
Fix spelling error
Comment 13 Adam Barth 2010-12-10 00:04:07 PST
THE COMMIT QUEUE IS ALIVE!
Comment 14 Adam Barth 2010-12-10 00:04:30 PST
ITS STARTING TO MODIFY ITSELF!
Comment 15 Eric Seidel (no email) 2010-12-13 12:36:39 PST
Committed r73950: <http://trac.webkit.org/changeset/73950>